
package com.assimilate.alltrans.common;

import android.graphics.Bitmap;
import android.graphics.Canvas;

import com.assimilate.alltrans.curview.GraphicOverlay;

/**
 * Draw camera image to background.
 */
public class CameraImageGraphic extends GraphicOverlay.Graphic {

    private final Bitmap bitmap;

    public CameraImageGraphic(GraphicOverlay overlay, Bitmap bitmap) {
        super(overlay);
        this.bitmap = bitmap;
    }

    @Override
    public void draw(Canvas canvas) {
        canvas.drawBitmap(bitmap, getTransformationMatrix(), null);
    }

    @Override
    public boolean contains(float x, float y) {
        return false;
    }
}
